<?php
namespace App\ExcelData\Providers;


use Laravel\Lumen\Providers\EventServiceProvider as ServiceProvider;

class ExcelDataProvider extends ServiceProvider
{
    //路由文件名
    protected $routes = 'routes.php';


    public function boot()
    {
        //自动载入路由
        $func = new \ReflectionClass(get_class($this));
        $path = str_replace($func->getShortName() . '.php', '', $func->getFileName());
        $routesFile = $path . '../' . $this->routes;
        if (file_exists($routesFile)) {
            require $routesFile;
        }
        parent::boot();
    }

    /**
     * 注册
     */
    public function register()
    {

    }
}
